Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.forms.html
Class setintEnumEditor

    java.lang.Object
      org.makumba.commons.formatters.FieldFormatter
          org.makumba.forms.html.FieldEditor
              org.makumba.forms.html.choiceEditor
                  org.makumba.forms.html.charEnumEditor
                      org.makumba.forms.html.setcharEnumEditor
                          org.makumba.forms.html.setintEnumEditor

    public class setintEnumEditor

extends setcharEnumEditor

Field Summary

Fields inherited from class org.makumba.forms.html.choiceEditor
`_params, _paramValues, nullOption`

Fields inherited from class org.makumba.forms.html.FieldEditor
`ERROR_NO_BOOLEAN, ERROR_NO_INT, ERROR_NO_REAL, extraFormattingParam, formName, params, paramValues, suffixName`

Method Summary
`static FieldFormatter` | `getInstance()`
`Object` | `getOptionValue(RecordFormatter rf, int fieldIndex, Object options, int i)` Gets the value of option 'i'.
`Object` | `readFrom(RecordFormatter rf, int fieldIndex, HttpParameters par, String suffix)`

Methods inherited from class org.makumba.forms.html.setcharEnumEditor
`getDefaultSize, isMultiple`

Methods inherited from class org.makumba.forms.html.charEnumEditor
`formatOptionTitle, formatOptionValue, formatOptionValue, getOptions, getOptionsLength`

Methods inherited from class org.makumba.forms.html.choiceEditor
`format, getAcceptedParams, getAcceptedValue, getValueOrDefault, setNullOption, shouldRemoveNullValue`

Methods inherited from class org.makumba.forms.html.FieldEditor
`checkParam, formatHidden, formatHiddenValue, formatShow, formatValue, getExtraFormatting, getInputName, getInputName, getSuffix, onStartup, setExtraFormatting, setFormName, setSuffix, toBoolean, toInt, toReal`

Methods inherited from class org.makumba.commons.formatters.FieldFormatter
`checkParams, equals, formatNotNull, formatNull, getDefaultValueFormat, getEmptyValueFormat, getExpr, getIntParam, getIntParamString, initExpr, resetValueFormat`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static FieldFormatter getInstance()

### getOptionValue

    public Object getOptionValue(RecordFormatter rf,
                                 int fieldIndex,
                                 Object options,
                                 int i)

  Description copied from class: `choiceEditor`
  Gets the value of option 'i'.

  Overrides:
    `getOptionValue` in class `charEnumEditor`

### readFrom

    public Object readFrom(RecordFormatter rf,
                           int fieldIndex,
                           HttpParameters par,
                           String suffix)

  Overrides:
    `readFrom` in class `FieldEditor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20